Home > Cannot Find > Php Configure Cannot Find Libmysqlclient Under /usr

Php Configure Cannot Find Libmysqlclient Under /usr

Contents

and add the line extension=memcache.so at the end of the file: [...] extension=memcache.so The memcached extension can be installed as follows: apt-get install libmemcached-dev pecl -C ./pear.conf install memcached Open /opt/phpfcgi-5.3.22/lib/php.ini... EDIT1: I minimized the configure command so it just focuses to mysql. This fixes the problem: cd /usr/local/mysql ln -s lib lib64 When PHP is configured using --with-mysql= and --with-libdir=, it should search / and then /lib Reproduce code: --------------- ./configure --with-mysql= when All Rights Reserved. http://amigasuperbit.com/cannot-find/php-configure-cannot-find-libmysqlclient.html

Last edited by neocontrol; 09-07-2007 at 11:22 AM. PHP Configure Script: bash ./configure --prefix=/var/lsws/lsphp5 --with-litespeed --with-mysqli --with-mcrypt --with-mysql=/usr/bin/ --with-libdir=lib64 --with-zlib --with-gd --enable-shmop --enable-track-vars --enable-sockets --enable-sysvsem --enable-sysvshm --enable-magic-quotes --enable-mbstring --with-iconv See larger image SQL Pocket Guide: A Guide to SQL I only see the path inside the error messages of the # ldconfig -v | grep mysql output, but it has other paths, too. –hakre Jun 21 '12 at 9:22 Should I report it? you can try this out

Cannot Find Mysql Header Files Under

Options to Add: bash --with-mysql=/usr/bin/ --with-libdir=lib64 So my PHP configure script after adding these options now looked like the below which resolve the compile error. php mysql ubuntu-12.04 share|improve this question asked Feb 19 at 7:25 lalit 11 add a comment| active oldest votes Know someone who can answer? neocontrol View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by neocontrol 09-07-2007, 03:56 PM #2 trickykid LQ Guru Registered: Jan 2001 Posts: Reason: I'm an idiot.

no checking for MySQL support... Why did Borden do that to his wife in The Prestige? Not the answer you're looking for? Checking For Specified Location Of The Mysql Unix Socket... No Consider adding a README.64bit file containing this information and other relevant information. [2010-03-25 23:16 UTC] chris at spawnordie dot com Other than the bug reviewer just being a flat-out ass...

asked 2 years ago viewed 2950 times active 2 years ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Linked 10 Cannot find libmysqlclient under /usr. Cannot Find Libmysqlclient_r [email protected] View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by [email protected] 11-17-2009, 05:52 AM #4 augustofagioli LQ Newbie Registered: Nov 2009 Posts: Join them; it only takes a minute: Sign up Setting up a server and can't find libmysqlclient under /usr up vote 1 down vote favorite I am currently setting up a Lab colleague uses cracked software.

The APC, memcache, and memcached modules can be installed through PEAR which we must install and initialize first: apt-get -y install php-pear cd /opt/phpfcgi-5.3.22/etc pecl -C ./pear.conf update-channels APC can now Note That The Mysql Client Library Is Not Bundled Anymore! There are 6 Comments. Despite being told by the configuration option --with-libdir=lib64 to use lib64/ it still chooses to use lib/ and fails to find the necessary files to continue with the ./configure. no configure: error: Cannot find libmysqlclient under /usr.

Cannot Find Libmysqlclient_r

if the lib's in /foo/bar/baz/libmysql.so, you have to do --with-mysql=/foo/bar instead. –Marc B Sep 9 '14 at 15:44 I gave this a shot and no such luck. –inimrepus Sep no checking for MySQL UNIX socket location... /var/lib/mysql/mysql.sock configure: error: Cannot find libmysqlclient under /usr. Cannot Find Mysql Header Files Under web based application development php.net| support| documentation| report a bug| advanced search| search howto| statistics| random bug| login go to bug id or search bugs for Bug#36073 Source-compiled MySQL on x86_64 Php Cannot Find Libmysqlclient_r Patches Add a PatchPull Requests Add a Pull RequestHistoryAllCommentsChangesGit/SVN commitsRelated reports [2006-01-18 23:53 UTC] [email protected] Works fine for me.

River Crossing Puzzle About the kanji 鱈 What is a satisfactory result of penetration testing assessment? http://amigasuperbit.com/cannot-find/phpfarm-configure-error-cannot-find-libmysqlclient-under-usr.html Trustfully, I agree not to become enraged when he suggests I know nothing about computers and post an enraged rant about him in the year 2014. ./configure --prefix=/usr/local/secure/php --with-apxs2=/usr/local/secure/apache2/bin/apxs --with-mysql=/usr/local/mysql/ --with-libdir=lib64 I installed apache with no issues. Someone peeled an American flag sticker off of my truck. Configure Error Cannot Find Mysql Header Files Under Usr Bin

They hope these examples will help you to get a better understanding of the Linux system and that you feel encouraged to try out things on your own. Hopefully you are still a member, and hopefully you get this thanks!!! What crime would be illegal to uncover in medieval Europe? http://amigasuperbit.com/cannot-find/php-configure-error-cannot-find-libmysqlclient-under.html Can Trump undo the UN climate change agreement?

Browse other questions tagged mysql php or ask your own question. Install Libmysqlclient Either use the workaround or switch to using mysqlnd. [2010-10-28 09:51 UTC] [email protected] Erm, I meant that ext/mysql gets only security fixes. Note that the MySQL client library is not bundled anymore!

Graph with a separation vertex edge Is there a word for being sad about knowing that the things that make you happy will eventually go away How do I deal with

Here's the output of ldconfig which only has one /usr listed. no configure: error: Cannot find libmysqlclient under /usr/local/mysql. more hot questions about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science Other Stack Configure: Error: Cannot Find Openssl's Libraries What's the pun about?

yes configure: error: Cannot find imap library (libc-client.a). Possible repercussions from assault between coworkers outside the office why is rdsk not available on linux? My cat sat on my laptop, now the right side of my keyboard types the wrong characters Double quote value assignments stored in a CSV? navigate here But I digress. [2010-06-06 02:29 UTC] everyminutepies at yahoo dot ca I can confirm that this does in fact still happen with PHP 5.3.2 on CentOS 5.5 86_64 when compiling MySQL

Thanks. alex Reply Artorios Rex 11:55 AM March 1, 2011 Grrr… tags Reply alex 12:46 AM March 5, 2011 Hello Artorios Rex, One message noting your request would have been sufficient. MySQL was configured using: --prefix=/usr/local/mysql Configuring PHP using: --with-mysql=/usr/local/mysql fails with this: checking for MySQL support... What do I do?

The posted workaround by Chris does work flawlessly. This article was written before we started using a custom method to wrap code. Reply alex 2:29 PM March 7, 2011 Hello Artorios Rex, No worries man! Thanks again for the tip.

grob115 View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by grob115 03-02-2011, 07:08 PM #6 UltraPain LQ Newbie Registered: Jun 2006 Posts: yes no Are you using the same operating system? Should I report it? No, create an account now.

Why do languages require parenthesis around expressions when used with "if" and "while"? Is the Čech cohomology of an orbifold isomorphic to its singular cohomology? Example for a commutative subring of a non-commutative ring On 1941 Dec 7, could Japan have destroyed the Panama Canal instead of Pearl Harbor in a surprise attack? EDIT2: tried running ldconfig -v |grep mysql and here is the output # ldconfig -v |grep mysql /sbin/ldconfig.real: Path `/lib/x86_64-linux-gnu' given more than once /sbin/ldconfig.real: Path `/usr/lib/x86_64-linux-gnu' given more than once

MySQL Version: bash [[email protected] php-5.2.8]# mysql --version mysql Ver 14.12 Distrib 5.0.45, for redhat-linux-gnu (x86_64) using readline 5.0 To resolve the issue add the below configuration options to your PHP configure I had managed to have php5.2 and php5.3 on ubuntu 11.10 –farzam Jun 21 '12 at 9:10 2 @fkniya: You should not care about a single downvote too much.